[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# AcquireExceptionObject

Obtain a reference to the current exception object

## Declaration

Source position: objpash.inc line 355

`function AcquireExceptionObject: Pointer;`

## Description

AcquireExceptionObject returns the current exception object. It raises the reference count of the exception object, so it will not be freed. Calling this method is only valid within an except block.

The effect of this function is countered by re-raising an exception via raise;

To make sure that the exception object is released when it is no longer needed, ReleaseExceptionObject must be called when the reference is no longer needed.

## Errors

If there is no current exception, a run-time error 231 will occur.

## See also

ReleaseExceptionObject |  | Decrease the reference count of the current exception object.

Documentation generated on: Feb 26 2014